package cn.feast.coding.mapper.order;

import cn.feast.coding.mapper.IMapper;
import cn.feast.coding.model.order.MonthStatis;
import cn.feast.coding.model.order.Order;
import cn.feast.coding.model.order.OrderStatis;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Created By FeastCoding.
 */
public interface OrderMapper extends IMapper<Order> {

    List<OrderStatis> statisOrderMoney(@Param("year") String year);

    List<OrderStatis> statisOrderCount(@Param("year") String year);

    List<MonthStatis> statisOrderMonthCount(@Param("year") String year, @Param("shop") String shop);

    List<MonthStatis> statisOrderMonthMoney(@Param("year") String year, @Param("shop") String shop);
}